> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkryse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a link

> Update an existing link's configuration.

## Path Parameters

<ParamField path="linkId" type="string" required>
  The unique identifier of the link.
</ParamField>

## Body Parameters

<ParamField body="url" type="string">
  The new destination URL.
</ParamField>

<ParamField body="archived" type="boolean">
  Whether the link should be archived.
</ParamField>

<ParamField body="tags" type="array">
  The new set of tags. Note: This overwrites existing tags.
</ParamField>

## Code Examples

```bash cURL theme={null}
curl --request PUT \
  --url https://linkryse.com/v1/links/link_123 \
  --header 'Authorization: Bearer sk_live_...' \
  --header 'Content-Type: application/json' \
  --data '{
    "url": "https://bing.com",
    "archived": true
  }'
```

```javascript Node.js theme={null}
const updatedLink = await linkryse.links.update('link_123', {
  url: 'https://bing.com',
  archived: true
});
```
